Debian Bug report logs - #658996
disable tmpfs on /tmp

version graph

Package: live-config; Maintainer for live-config is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-config is src:live-config.

Reported by: Andrei Purdea <andrei@purdea.ro>

Date: Fri, 30 Dec 2011 06:33:02 UTC

Severity: normal

Tags: moreinfo

Fixed in version live-config/3.0~a35-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#653673; Package live-config. (Fri, 30 Dec 2011 06:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrei Purdea <andrei@purdea.ro>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 30 Dec 2011 06:33:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andrei Purdea <andrei@purdea.ro>
To: submit@bugs.debian.org
Subject: the live-config init.d script should depend on mountkernfs
Date: Fri, 30 Dec 2011 08:29:19 +0200
Package: live-config
Version: 3.0~a31-1

There is a race condition between mountkernfs and user-setup

When RAMTMP=yes in /etc/default/rcS, then the
mountkernfs init.d script mounts /tmp as a tmpfs.

The 002-user-setup script first writes some data into a temporary file,
and then reads it back, and deletes it.

The race condition happens when the new /tmp partition is mounted
before the temporary data is read back. This doesn't happen always,
but the problem can be reproduced by adding sleep statements
artificially to the two scripts (add a small sleep statement to the start
of mountkernfs, and a bigger sleep statement on line 71 of user-setup
(between write and read).

Temporary quick fix:
make a hook in config/hooks , called fix_live_config_boot.sh.chroot, containing:
#!/bin/sh
sed -i -e 's|^# Required-Start:\(.*\)$|# Required-Start: mountkernfs
\1|' /etc/init.d/live-config
insserv


-- 
Purdea Andrei
http://purdea.ro
student at the “Politehnica” University of Timisoara
Faculty of Automation and Computers (AC)
Master's Degree Program - Computer Engineering (MCE)
2nd year




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#653673; Package live-config. (Fri, 30 Dec 2011 08:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 30 Dec 2011 08:45:03 GMT) Full text and rfc822 format available.

Message #10 received at 653673@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Andrei Purdea <andrei@purdea.ro>
Cc: 653673@bugs.debian.org
Subject: Re: Bug#653673: the live-config init.d script should depend on mountkernfs
Date: Fri, 30 Dec 2011 09:41:05 +0100
tag 653673 unreproducible
tag 653673 moreinfo
thanks

On 12/30/2011 07:29 AM, Andrei Purdea wrote:
> There is a race condition between mountkernfs and user-setup

first; /etc/init.d/live-config always has absolutely to be the first
script that gets executed, we do depend on that, if live-config is not
the first thing, then other things later during system start may not
work as they should. therefore, there should never by any depends within
the live-config initscript to another initscript.

second; if live-config is not the first script executed, then we need to
fix that. from my experience, it currently is always the first one. how
do you create the case where it does not get executed first?

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Added tag(s) unreproducible. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Fri, 30 Dec 2011 08:45:05 GMT) Full text and rfc822 format available.

Added tag(s) moreinfo. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Fri, 30 Dec 2011 08:45:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#653673; Package live-config. (Fri, 30 Dec 2011 12:01:46 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri+debian-live@boum.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 30 Dec 2011 12:02:09 GMT) Full text and rfc822 format available.

Message #19 received at 653673@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri+debian-live@boum.org>
To: daniel.baumann@progress-technologies.net
Cc: 653673@bugs.debian.org
Subject: Re: Bug#653673: the live-config init.d script should depend on mountkernfs
Date: Fri, 30 Dec 2011 12:59:30 +0100
Hi,

Daniel Baumann wrote (30 Dec 2011 08:41:05 GMT) :

> On 12/30/2011 07:29 AM, Andrei Purdea wrote:
>> There is a race condition between mountkernfs and user-setup

> first; /etc/init.d/live-config always has absolutely to be the first
> script that gets executed, we do depend on that, if live-config is
> not the first thing, then other things later during system start may
> not work as they should. therefore, there should never by any
> depends within the live-config initscript to another initscript.

> second; if live-config is not the first script executed, then we need to
> fix that. from my experience, it currently is always the first one. how
> do you create the case where it does not get executed first?

In my experience too, the symlinks in rcS are ordered in a way so that
live-config gets S01 and mountkernfs gets S02. All great.

However, it seems to me boot time initscripts concurrency is the
default in Squeeze, and AFAIK nothing is done to avoid mountkernfs and
live-config initscripts to run in parallel, is it? Maybe I'm missing
something obvious.

Cheers,
-- 
  intrigeri <intrigeri@boum.org>
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc
  | Did you exchange a walk on part in the war
  | for a lead role in the cage?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#653673; Package live-config. (Fri, 30 Dec 2011 20:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrei Purdea <andrei@purdea.ro>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 30 Dec 2011 20:09:04 GMT) Full text and rfc822 format available.

Message #24 received at 653673@bugs.debian.org (full text, mbox):

From: Andrei Purdea <andrei@purdea.ro>
To: daniel.baumann@progress-technologies.net, 653673@bugs.debian.org
Subject: Re: Bug#653673: the live-config init.d script should depend on mountkernfs
Date: Fri, 30 Dec 2011 22:04:01 +0200
[Message part 1 (text/plain, inline)]
I attached /etc/init.d/mountkernfs.sh, and /lib/live/config/002-user-setup
Only two modifications have been made: I added a sleep statement to each:
002-user-setup:72  contains: sleep 40
mountkernfs.sh:120 contains: sleep 20

This will force the bug to show up Every time you try to boot.
The error message says that it can't read /tmp/debconf.live.
I tested it with qemu, virtualbox 2 cores, virtualbox 1 core.

Without the sleep commands added (everything default), the bug appeard
for me in a virtualbox 1-core configuration, about 1 out of 20 times i booted
the image.

I hope this is enough to reproduce.
> first; /etc/init.d/live-config always has absolutely to be the first
> script that gets executed, we do depend on that, if live-config is not
> the first thing, then other things later during system start may not
> work as they should. therefore, there should never by any depends within
> the live-config initscript to another initscript.

There are a couple cases to discuss:
First, yes, I understand it is important for live-config to run as
soon as possible, because other scripts
might need the modifications it makes.
But live-config needs something too: It needs a writable /tmp partition.
And this /tmp partition can't be remounted while live-config is in execution,
or otherwise temporary data in it will be lost.

Currently what happens is that mountkernfs.sh and live-config gets executed
Concurrently. When the mount command happens to get executed right
between the writing and reading of temporary data, then the temp data ends
up in /live/cow/tmp/debconf.live (trough the aufs), and user-setup
tries to read it from
/tmp/debconf.live (which is now a pure tmpfs).

When the mount happens before, the data is written and read from the tmpfs
When the mount happens after, the data is written and read from the aufs.

That is why it's hard to reproduce without adding the "sleep" commands.

It is fine if live-config runs before mountkernfs.sh, but they can't
run concurrently.
Then mountkernfs.sh must depend of live-config, and that modification
can only be
made in the chroot stage, and that modification will not be good for
non-live systems.

Currently mountkernfs.sh doesn't depend on anything. So making
live-config depend on
mountkernfs.sh will let live-config run as the second script. in the
boot process.
Does live-config really affect the functioning of mountkernfs.sh?
Even in rcS.d live-config is configured third, After mountkernfs.sh.
All we need to make sure is that they don't execute concurrently.

-- 
Purdea Andrei
http://purdea.ro
student at the “Politehnica” University of Timisoara
Faculty of Automation and Computers (AC)
Master's Degree Program - Computer Engineering (MCE)
2nd year
[mountkernfs.sh (application/x-sh, attachment)]
[002-user-setup (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#653673; Package live-config. (Fri, 30 Dec 2011 23:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 30 Dec 2011 23:00:03 GMT) Full text and rfc822 format available.

Message #29 received at 653673@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Andrei Purdea <andrei@purdea.ro>
Cc: 653673@bugs.debian.org
Subject: Re: Bug#653673: the live-config init.d script should depend on mountkernfs
Date: Fri, 30 Dec 2011 23:57:22 +0100
tag 653673 - unreproducible
thanks

On 12/30/2011 09:04 PM, Andrei Purdea wrote:
> But live-config needs something too: It needs a writable /tmp partition.

which is ensured since / is writable (through aufs).

> And this /tmp partition can't be remounted while live-config is in execution,
> or otherwise temporary data in it will be lost.

right, so we need to make sure that cannot happen (automatically).

> Currently what happens is that mountkernfs.sh and live-config gets executed
> Concurrently. When the mount command happens to get executed right
> between the writing and reading of temporary data, then the temp data ends
> up in /live/cow/tmp/debconf.live (trough the aufs), and user-setup
> tries to read it from
> /tmp/debconf.live (which is now a pure tmpfs).

*iff* /tmp is a tmpfs, which it by default isn't (in squeeze), but in
sid. (jftr)

the only problem here remains that mountkernfs in sid does an automatic
tmpfs on /tmp (unless /tmp is configured in fstab).

since /tmp on a tmpfs for a live system has no merits in the first
place, it's save to disable that. and that can be done with RAMTMP=no in
/etc/default/rcS at build-time.

that seems to be the most non-invasive solution to me.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Removed tag(s) unreproducible. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Fri, 30 Dec 2011 23:00:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#653673; Package live-config. (Sat, 31 Dec 2011 05:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrei Purdea <andrei@purdea.ro>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 31 Dec 2011 05:18:03 GMT) Full text and rfc822 format available.

Message #36 received at 653673@bugs.debian.org (full text, mbox):

From: Andrei Purdea <andrei@purdea.ro>
To: daniel.baumann@progress-technologies.net
Cc: 653673@bugs.debian.org
Subject: Re: Bug#653673: the live-config init.d script should depend on mountkernfs
Date: Sat, 31 Dec 2011 07:14:23 +0200
> which is ensured since / is writable (through aufs).\

--exposed-root is supposed to mount / as read-only. It doesn't really work for
me, so I might be wrong, but in that case /tmp would not be writable (unless
something in the initrd mounts /tmp as tmpfs)

> the only problem here remains that mountkernfs in sid does an automatic
> tmpfs on /tmp (unless /tmp is configured in fstab).

RAMTMP is on by default in wheezy too.

Also another case where RAMTMP seems reasonable for a live system
is if persistence is used. (another feature i haven't played around with
yet, so I might be wrong)




-- 
Purdea Andrei
http://purdea.ro
student at the “Politehnica” University of Timisoara
Faculty of Automation and Computers (AC)
Master's Degree Program - Computer Engineering (MCE)
2nd year




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#653673; Package live-config. (Sat, 31 Dec 2011 09:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 31 Dec 2011 09:51:06 GMT) Full text and rfc822 format available.

Message #41 received at 653673@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Andrei Purdea <andrei@purdea.ro>
Cc: 653673@bugs.debian.org
Subject: Re: Bug#653673: the live-config init.d script should depend on mountkernfs
Date: Sat, 31 Dec 2011 10:46:53 +0100
On 12/31/2011 06:14 AM, Andrei Purdea wrote:
> --exposed-root is supposed to mount / as read-only.

..and make those directories rw that need to (which then would need to
include /tmp; but that's an issue from squeeze->sid that needs handling
anyway).

> RAMTMP is on by default in wheezy too.

[ naturally, yes. but we don't upload to wheezy, only to sid (and
testing gets whatever unstable has with some delays), so testing can be
ignored, we only care about stable and unstable at a time. ]

> Also another case where RAMTMP seems reasonable for a live system
> is if persistence is used. (another feature i haven't played around with
> yet, so I might be wrong)

right, but that's another issue.

i suggest we disable RAMTMP at build-time, and enable it at run-time
(by mounting tmpfs on /tmp manually through live-config, rather than
through mountkernfs) if there's persistency involved. in the case of
exposed root, /tmp is just another addition to the other rw directories.

that should cover all cases. any objections?

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#653673; Package live-config. (Sat, 31 Dec 2011 09:51:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri+debian-live@boum.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 31 Dec 2011 09:51:12 GMT) Full text and rfc822 format available.

Message #46 received at 653673@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri+debian-live@boum.org>
To: daniel.baumann@progress-technologies.net
Cc: 653673@bugs.debian.org
Subject: Re: Bug#653673: the live-config init.d script should depend on mountkernfs
Date: Sat, 31 Dec 2011 10:49:01 +0100
Hi,

Daniel Baumann wrote (30 Dec 2011 22:57:22 GMT) :
> the only problem here remains that mountkernfs in sid does an
> automatic tmpfs on /tmp (unless /tmp is configured in fstab).

> since /tmp on a tmpfs for a live system has no merits in the first
> place, it's save to disable that. and that can be done with
> RAMTMP=no in /etc/default/rcS at build-time.

> that seems to be the most non-invasive solution to me.

Agreed; seems well for this specific bug report. However, considering
"/etc/init.d/live-config always has absolutely to be the first script
that gets executed, we do depend on that", how about adding a reverse
dependency to the live-config initscript, such as:

   X-Start-Before: mountkernfs

?

Cheers,
-- 
  intrigeri <intrigeri@boum.org>
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc
  | The impossible just takes a bit longer.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#653673; Package live-config. (Sat, 31 Dec 2011 10:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 31 Dec 2011 10:51:08 GMT) Full text and rfc822 format available.

Message #51 received at 653673@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: intrigeri <intrigeri+debian-live@boum.org>
Cc: 653673@bugs.debian.org
Subject: Re: Bug#653673: the live-config init.d script should depend on mountkernfs
Date: Sat, 31 Dec 2011 11:48:48 +0100
On 12/31/2011 10:49 AM, intrigeri wrote:
>    X-Start-Before: mountkernfs

ack, thanks.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Bug 653673 cloned as bug 658996. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Tue, 07 Feb 2012 09:27:13 GMT) Full text and rfc822 format available.

Changed Bug title to 'improve handling of tmpfs on /tmp' from 'the live-config init.d script should depend on mountkernfs' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Tue, 07 Feb 2012 09:27:17 GMT) Full text and rfc822 format available.

Bug 658996 cloned as bug 666985 Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Tue, 03 Apr 2012 06:33:03 GMT) Full text and rfc822 format available.

Bug reassigned from package 'live-config' to 'live-build'. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Tue, 03 Apr 2012 06:33:06 GMT) Full text and rfc822 format available.

No longer marked as found in versions live-config/3.0~a31-1. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Tue, 03 Apr 2012 06:33:07 GMT) Full text and rfc822 format available.

Changed Bug title to 'disable tmpfs on /tmp' from 'improve handling of tmpfs on /tmp' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Tue, 03 Apr 2012 06:33:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#658996; Package live-build. (Tue, 03 Apr 2012 07:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 03 Apr 2012 07:09:06 GMT) Full text and rfc822 format available.

Message #68 received at 658996@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: 658996@bugs.debian.org
Subject: Re: disable tmpfs on /tmp
Date: Tue, 03 Apr 2012 09:07:43 +0200
reassign 658996 live-config
close 666985
thanks

having though about it again, it's better to disable it at runtime
through live-config, not at buildtime through live-build as initialy stated.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Bug reassigned from package 'live-build' to 'live-config'. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Tue, 03 Apr 2012 07:09:07 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Tue, 03 Apr 2012 07:57:48 GMT) Full text and rfc822 format available.

Notification sent to Andrei Purdea <andrei@purdea.ro>:
Bug acknowledged by developer. (Tue, 03 Apr 2012 07:57:49 GMT) Full text and rfc822 format available.

Message #75 received at 658996-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 658996-close@bugs.debian.org
Subject: Bug#658996: fixed in live-config 3.0~a35-1
Date: Tue, 03 Apr 2012 07:36:25 +0000
Source: live-config
Source-Version: 3.0~a35-1

We believe that the bug you reported is fixed in the latest version of
live-config, which is due to be installed in the Debian FTP archive:

live-config-doc_3.0~a35-1_all.deb
  to main/l/live-config/live-config-doc_3.0~a35-1_all.deb
live-config-systemd_3.0~a35-1_all.deb
  to main/l/live-config/live-config-systemd_3.0~a35-1_all.deb
live-config-sysvinit_3.0~a35-1_all.deb
  to main/l/live-config/live-config-sysvinit_3.0~a35-1_all.deb
live-config-upstart_3.0~a35-1_all.deb
  to main/l/live-config/live-config-upstart_3.0~a35-1_all.deb
live-config_3.0~a35-1.debian.tar.gz
  to main/l/live-config/live-config_3.0~a35-1.debian.tar.gz
live-config_3.0~a35-1.dsc
  to main/l/live-config/live-config_3.0~a35-1.dsc
live-config_3.0~a35-1_all.deb
  to main/l/live-config/live-config_3.0~a35-1_all.deb
live-config_3.0~a35.orig.tar.gz
  to main/l/live-config/live-config_3.0~a35.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 658996@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-config package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 03 Apr 2012 09:09:30 +0200
Source: live-config
Binary: live-config live-config-doc live-config-systemd live-config-sysvinit live-config-upstart
Architecture: source all
Version: 3.0~a35-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-config - Debian Live - System Configuration Scripts
 live-config-doc - Debian Live - System Configuration Scripts (documentation)
 live-config-systemd - Debian Live - System Configuration Scripts (systemd backend)
 live-config-sysvinit - Debian Live - System Configuration Scripts (sysvinit backend)
 live-config-upstart - Debian Live - System Configuration Scripts (upstart backend)
Closes: 658996
Changes: 
 live-config (3.0~a35-1) unstable; urgency=low
 .
   * Disabling tmpfs on /tmp in sysvinit script (Closes: #658996).
Checksums-Sha1: 
 91cb075c61595c5faa1a08070ca029794a4b81c3 1557 live-config_3.0~a35-1.dsc
 7baa10b8ac1b0276c3f7b7a41a1fd782458c2aff 106066 live-config_3.0~a35.orig.tar.gz
 9aa2c6bf33f88d60474ce82fb5c725dd54c01265 10804 live-config_3.0~a35-1.debian.tar.gz
 a9c26a8b407d59d46bd03a70fa8b1f3668c6dec7 22222 live-config_3.0~a35-1_all.deb
 e7ad6d3587a8ecbc3544738a516b14692af274e2 43786 live-config-doc_3.0~a35-1_all.deb
 e7f51ad00315c29a1134fa050e286ae5a96b88ab 10098 live-config-systemd_3.0~a35-1_all.deb
 69cc284912006427b12e939b164f2c8e674771bb 11390 live-config-sysvinit_3.0~a35-1_all.deb
 f41eaaa7c3e95c547061368b06b4bf41ab186e40 11184 live-config-upstart_3.0~a35-1_all.deb
Checksums-Sha256: 
 c2fe148db14aa40c49e28f919bee39fcbf737d7e6a028cc969d9448e76be17a7 1557 live-config_3.0~a35-1.dsc
 f657fda2651dd33d672437e5fa2b7739c790ad4056d670dff92d0f687789161f 106066 live-config_3.0~a35.orig.tar.gz
 e20fd6746b3c16d08b3303cbfcf283a5bb2208c13a996b5e3097cc801c25972f 10804 live-config_3.0~a35-1.debian.tar.gz
 6d0069e683c652608cec211d9b1c769630c48ec16ae1c254c383e24de097851b 22222 live-config_3.0~a35-1_all.deb
 4e9c2f19c42ec6a60687ba0e77227218efb43cebd745269a6d9e9317ff1baaea 43786 live-config-doc_3.0~a35-1_all.deb
 0c305be07dce30264da368065e886c2a61a6d0e6a6aaa56c3084b6859fb8399f 10098 live-config-systemd_3.0~a35-1_all.deb
 e460e4cbd6550cac9c518e91d810d86215f8e294816801e386b724fe4b7d137f 11390 live-config-sysvinit_3.0~a35-1_all.deb
 34d32ba48734fa1828ce74fd83df358d23050e07a6a80c7bcde5ec4a6fb18321 11184 live-config-upstart_3.0~a35-1_all.deb
Files: 
 4fac721f8d158f463e07c622e3afe3b3 1557 misc optional live-config_3.0~a35-1.dsc
 bc5cc89aff69a8d891759d37314ec28d 106066 misc optional live-config_3.0~a35.orig.tar.gz
 e083cc6b57bfe052d6fa7afe8edad617 10804 misc optional live-config_3.0~a35-1.debian.tar.gz
 b2aa3fbeacd3ab070b0ce56927d99721 22222 misc optional live-config_3.0~a35-1_all.deb
 a57d0026f3e09d8bdcedfc4681d9ebb4 43786 doc optional live-config-doc_3.0~a35-1_all.deb
 c6eab9cb5718235abf26e07e3e8adebd 10098 misc optional live-config-systemd_3.0~a35-1_all.deb
 18de13973d840ef6d20cec83ef1e3f38 11390 misc optional live-config-sysvinit_3.0~a35-1_all.deb
 68d1c933e24c0567824d4018ebdb3e96 11184 misc optional live-config-upstart_3.0~a35-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk96ov0ACgkQ+C5cwEsrK55rGACeNrNYWqsPcatg9+iKlnjA82Dy
W0UAmgLteUB8uHruODvHTveioIY3eMWo
=G6uz
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 11 May 2012 07:40:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:31:20 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.